﻿@model AddTopicQuestionViewModel

<link rel="stylesheet" href="/css/topics/topic.css" xmlns="http://www.w3.org/1999/html"/>

<div class="card-text shadow border-0 mt-4">
    <div class="card-header bg-primary">
        <div class="row">
            <div class="col-12 text-center">
                <h2 class="text-white py-2">@Model.TopicName</h2>
            </div>
        </div>
    </div>
    <div class="card-body p-3">
        <form asp-action="AddQuestion" method="post">
            <input asp-for="TopicId" hidden/>
            <input asp-for="TopicName" hidden/>

            <div class="row pt-2">
                <div class="col-md-12">
                    <h3 class="border-bottom pb-3 mb-4 text-primary text-center">Create Question</h3>
                    <div asp-validation-summary="ModelOnly" class="text-danger" role="alert"></div>
                    <div class="form-floating mb-3">
                        <input asp-for="Title" class="form-control" autocomplete="question-name" placeholder="question name" aria-required="true"/>
                        <label class="ms-2">Question Name</label>
                        <span asp-validation-for="Title" class="text-danger"></span>
                    </div>
                    <div class="form-floating mb-3">
                        <div class="row mx-2">
                            <div class="form-check col-md-6">
                                <label class="radio-button">
                                    <input asp-for="MultiAnswers" class="form-check-input" type="radio" id="optionsRadios1" value="false">
                                    <label class="form-check-label" for="optionsRadios1">
                                        Only 1 answer
                                    </label>
                                    <span class="checkmark"></span>
                                </label>
                            </div>
                            <div class="form-check col-md-6">
                                <label class="radio-button">
                                    <input asp-for="MultiAnswers" class="form-check-input" type="radio" id="optionsRadios2" value="true">
                                    <label class="form-check-label" for="optionsRadios1">
                                        More then 1 answer
                                    </label>
                                    <span class="checkmark"></span>
                                </label>
                            </div>
                        </div>
                    </div>

                    <label class="ms-2">Details</label>
                    <textarea asp-for="Details" class="form-control" rows="3"></textarea>
                    
                    <h4 class="divider-text d-flex py-3">Answers</h4>
                    <button type="button" class="btn btn-primary col-md-4 offset-md-4" id="add-answer-button">
                        <i class="bi bi-plus-lg"></i>
                        Answer
                    </button>

                    <div class="row my-3">
                        <!-- Question Answers container -->
                        <div id="question-answers-container">
                            @if (Model.QuestionAnswers != null)
                            {
                                foreach (var answer in Model.QuestionAnswers)
                                {
                                    @(await Html.PartialAsync("_QuestionAnswerPartial", answer))
                                }
                            }
                        </div>

                    </div>

                    <button type="submit" class="btn btn-primary col-md-4 offset-md-4 mb-3">Create Question</button>
                </div>
            </div>
        </form>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<!-- JavaScript/jQuery code -->
<script>
    $(document).ready(function () {
        var counter = 0;

        // Add Answer button click event
        $("#add-answer-button").on("click", function () {
            // Generate a unique ID for the new answer
            var answerId = "answer_" + counter++;

            // Load the partial view into the container
            $.get("/Admin/Topic/AddQuestionPartial", { answerId: answerId, isUpdate: false }, function (response) {
                $("#question-answers-container").append(response);
            });
        });
    });
</script>